%define qtmajor 5
%define qtminor 0
%define qtsubminor 2
%define rel 1

%define qtversion %{qtmajor}.%{qtminor}.%{qtsubminor}

%define qttarballdir qtwebkit-examples-and-demos-opensource-src-%{qtversion}

Name: qtwebkit5-examples-and-demos
Version: %{qtversion}
Release: %mkrel %{rel}
Summary: Qt GUI toolkit
Group: Development/KDE and Qt
License: LGPLv2 with exceptions or GPLv3 with exceptions and GFDL
URL:     http://www.qt-project.org
Source0: http://get.qt.nokia.com/qt/source/%{qttarballdir}.tar.xz
BuildRequires: qtbase5-devel
BuildRequires: qtwebkit5-devel 
BuildRequires: qtwebkitwidgets5-devel
BuildRequires: qtqml5-devel 
BuildRequires: qtquick5-devel
BuildRequires: qtxmlpatterns5-devel
BuildRequires: pkgconfig(libxslt)
BuildRequires: pkgconfig(gstreamer-video-0.10)
BuildRequires: pkgconfig(gstreamer-0.10)
BuildRequires: pkgconfig(libxml-2.0)
BuildRequires: pkgconfig(sqlite3)

#Branch Patchs

#Trunk Patchs

#Patch from Mageia

%description
Examples and demos for QtWebkit5

#------------------------------------------------------------------------------

%package -n qtwebkit5-examples
Summary: Examples for QtWebkit5
Group:   Documentation

%description -n qtwebkit5-examples
Examples for QtWebkit5

%files -n qtwebkit5-examples
%_qt5_examplesdir/webkitqml
%_qt5_examplesdir/webkitwidgets

#------------------------------------------------------------------------------

%prep
%setup -q -n %qttarballdir

%build
%qmake_qt5

%make

#------------------------------------------------------------------------------

%install
%qmakeinstall_std



%changelog

* Thu Apr 18 2013 neoclust <neoclust> 5.0.2-1.mga3
+ Revision: 410418
- New version 5.0.2

* Sat Feb 02 2013 neoclust <neoclust> 5.0.1-1.mga3
+ Revision: 394009
- New version 5.0.1 Final

* Sun Jan 27 2013 neoclust <neoclust> 5.0.1-0.rc1.1.mga3
+ Revision: 392587
- imported package qtwebkit5-examples-and-demos

